MPI_File_iwrite_shared(3)

NAME
MPI_File_iwrite_shared - Nonblocking write using shared file pointer

SYNOPSIS
#include "mpi.h"
int MPI_File_iwrite_shared(MPI_File fh, void *buf, int count,
                       MPI_Datatype datatype, MPIO_Request *request)

INPUT PARAMETERS
fh  - file handle (handle)
buf - initial address of buffer (choice)
count
    - number of elements in buffer (nonnegative integer)
datatype
    - datatype of each buffer element (handle)

OUTPUT PARAMETERS
request
    - request object (handle)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for 'MPI_WTIME' and 'MPI_WTICK') have an additional argument 'ierr' at the end of the argument list. the routine in C. In Fortran, MPI routines are subroutines and are invoked with the 'call' statement. All MPI objects (e.g., 'MPI_Datatype', 'MPI_Comm', 'MPI_File') are of type 'INTEGER' in Fortran.